package org.ucam.srcf.assassins.xml;

// JAXP
//import javax.xml.parsers.*;
//import org.xml.sax.*;
//import org.xml.sax.helpers.*;
import java.util.Map;

import org.ucam.srcf.assassins.AssassinState;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

//import org.ucam.srcf.assassins.Debug;
//import org.ucam.srcf.assassins.exceptions.XMLParseException;

public abstract class ColourFilter {

   static ColourFilter parseElement(Element e)
   {
      NodeList nl; 
      String name = e.getTagName();
      if ("filter".equals(name))
      {
         ColourFilterFilter result = new ColourFilterFilter();
         result.setFilter(e.getAttribute("plugin"),
                          e.getAttribute("property"),
                          e.getAttribute("condition"));
         return result;
      }
      if ("and".equals(name))
      {
         ColourFilterAnd result = new ColourFilterAnd();
         nl = e.getChildNodes();
         for (int i = 0; i< nl.getLength(); ++i)
         {
            Node n = nl.item(i);
            if (n instanceof Element)
            {
               result.addChild(parseElement((Element)n));
            }
         }
         return result;
      }
      // 'or', also toplevel
      ColourFilterOr result = new ColourFilterOr();
      nl = e.getChildNodes();
      for (int i = 0; i<nl.getLength(); ++i)
      {
         Node n = nl.item(i);
         if (n instanceof Element)
         {
            result.addChild(parseElement((Element)n));
         }
      }
      return result;
   }
   
   public abstract boolean matchAssassinState(Map plugins, AssassinState as);
   public abstract String debugName();
}
