<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
<xsl:preserve-space elements="*" />

<!-- The outer template for the page -->
<xsl:template match="webpage">
<rss version="2.0">
   <channel>
      <title>The Assassins' Guild - <xsl:value-of select="title/text()" /></title>
      <link>http://www.srcf.ucam.org/assassins/</link>
      <description> </description>
      <language>en-gb</language>
      <pubDate> </pubDate>
      <webMaster>assassins@srcf.ucam.org</webMaster>
                              
      <xsl:apply-templates />

   </channel>
</rss>
</xsl:template>

<!-- Ignore the title node -->
<xsl:template match="title">
</xsl:template>

<!-- Ignore the links node -->
<xsl:template match="links">
</xsl:template>

<!-- Ignore the header node -->
<xsl:template match="header">
</xsl:template>

<!-- This contains HTML, copy all nodes below it into the output -->
<xsl:template match="html">
</xsl:template>

<!-- This contains HTML, copy all nodes below it into the output -->
<xsl:template match="text">
</xsl:template>

<!-- Events block, doesn't need any special markup -->
<xsl:template match="events">
 <xsl:apply-templates />
</xsl:template>

<!-- Start of each day is a heading -->
<xsl:template match="day">
</xsl:template>

<!-- Put a block around each event, and lines around the heading -->
<xsl:template match="event">
</xsl:template>

<!-- Do this slightly differently on head/hups for more compact appearance -->
<xsl:template match="event-summary">
 <item>
   <title>[<xsl:value-of select="time/text()"/>] <xsl:apply-templates select="headline"/></title>
   <link><xsl:value-of select="reference/@page"/>#e<xsl:value-of select="reference/@event"/></link>
 </item>
</xsl:template>

<!-- Do funny substitution on colour tags -->
<xsl:template match="colour"><xsl:value-of select="."/></xsl:template>

<!-- Headline in an inline element -->
<xsl:template match="headline">
 <xsl:apply-templates />
</xsl:template>

<!-- Reports block, doesn't need any special markup -->
<xsl:template match="reports">
</xsl:template>

<!-- Each report in a block-level element -->
<xsl:template match="report">
</xsl:template>

<xsl:template match="pseudonym">
</xsl:template>
  
<!-- just copy the table of players - thats done -->
<xsl:template match="table//*|@*">
</xsl:template>
<xsl:template match="table">
</xsl:template>

<xsl:template match="table//at">@</xsl:template>
<xsl:template match="text//at">@</xsl:template>
<xsl:template match="text//entity"></xsl:template>
<xsl:template match="table//entity"></xsl:template>

</xsl:stylesheet>

